Onesignal Android com.android.support:support-v4 error


#1

Hey,

Does anyone have the same problem when adding Onesignal on a plane Ionic install ? I just started a new project and added Onesignal plugin and ends up with an error “Could not find com.android.support:support-v4:23.0.0”

Without the Onesignal plugin installed the App runs fine on my Android device.

screenshot of the error::

“ionic plugin” command show (but I have not installed anything but a plane install)

cordova-plugin-console 1.0.2 "Console"
cordova-plugin-device 1.1.1 "Device"
cordova-plugin-splashscreen 3.1.0 "Splashscreen"
cordova-plugin-statusbar 2.1.1 "StatusBar"
cordova-plugin-whitelist 1.2.1 "Whitelist"
ionic-plugin-keyboard 1.0.8 "Keyboard"
onesignal-cordova-plugin 1.11.1 “OneSignal Push Notifications”

@OneSignal


#2

@zookz, could you verify that the “Android Support Repository” is installed and up to date in the Android SDK Manager? You can follow the steps in 3. Android of our Cordova / Ionic setup guide to verifiy this.

Thanks.


#3

It is … I have follow you guide from top to bottom :wink:

I am using OSX

ionic -v
1.7.14

cordova -v
6.0.0


#4

@zookz, thanks for the screenshot. I see your missing the Repository one. Our plugin requires “Android Support Repository”, it doesn’t use the “Android Support Library”.

Thanks.


#5

Ohhhhhh … THANKS so much … I really had read wrong, dammit! :wink:

Just what I needed, thanks again!